## ros-rolling-usb-cam 0.4.0

=== debian/changelog ===
ros-rolling-usb-cam (0.4.0-1focal) focal; urgency=high

  * bump version for ros2 first release
  * add galactic to ci, closes #157 <https://github.com/ros-drivers/usb_cam/issues/157>
    update camera name
  * Merge pull request #158 <https://github.com/ros-drivers/usb_cam/issues/158> from wep21/feature/add_camera_info
    Feature/add camera info
  * Add sample camera info yaml
  * Add camera info
  * Merge pull request #156 <https://github.com/ros-drivers/usb_cam/issues/156> from wep21/feature/composable_node
  * Make usb_cam_node composable
  * Merge pull request #153 <https://github.com/ros-drivers/usb_cam/issues/153> from flynneva/lint/make-utils-file
  * add utils file, fix lint errors
  * Merge pull request #151 <https://github.com/ros-drivers/usb_cam/issues/151> from flynneva/fix/remove-boost
  * replace boost lexical_cast with snprintf
  * Merge pull request #149 <https://github.com/ros-drivers/usb_cam/issues/149> from flynneva/fix/update-readme
    fix readme headers
  * fix readme headers
  * Merge pull request #148 <https://github.com/ros-drivers/usb_cam/issues/148> from flynneva/update-ros2-readme-and-lint
    Update ros2 readme and lint
  * fix most lint errors
  * update readme, fix linter errors
  * Merge pull request #146 <https://github.com/ros-drivers/usb_cam/issues/146> from flynneva/ros2-clean-up
    Ros2 clean up
  * fix show_image script lag
  * run, launch and params file working
  * add service, install launch, separate header
  * Merge pull request #139 <https://github.com/ros-drivers/usb_cam/issues/139> from flynneva/cmake-cleanup
    consolidate srcs, use ament_auto macros, closes #138 <https://github.com/ros-drivers/usb_cam/issues/138>
  * consolidate srcs, use ament_auto macros, closes #137 <https://github.com/ros-drivers/usb_cam/issues/137> #138 <https://github.com/ros-drivers/usb_cam/issues/138>
  * Merge pull request #132 <https://github.com/ros-drivers/usb_cam/issues/132> from flynneva/foxy
    updates for foxy
  * add myself to authors
  * fixing lint errors
  * add ros2 github actions
  * minor updates to foxy
  * adding launch file
    try to fix low framerate #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    add ros parameters
    loading more parameters from parameter server #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    use argparse to get arguments from command line
    untested correction to args
    ignore unknown args
    set proper default device and look for more bad return values
    trying to find why framerate is limited to about 8 fps
    framerate ok for low-exposure settings
    print list of valid formats #105 <https://github.com/ros-drivers/usb_cam/issues/105>
  * use the v4l2_buffer timestamp if available. #75 <https://github.com/ros-drivers/usb_cam/issues/75>
    usb_cam.cpp is building but untested #103 <https://github.com/ros-drivers/usb_cam/issues/103>
    Builds but crashes immediately after running
    data is getting published, no image shown
    image shown, frame rate is very slow #103 <https://github.com/ros-drivers/usb_cam/issues/103>
  * move the timestamping closer to when the image was acquired. #75 <https://github.com/ros-drivers/usb_cam/issues/75>
  * Merge pull request #136 <https://github.com/ros-drivers/usb_cam/issues/136> from flynneva/patch-1
    add myself as a maintainer for ros2
  * add myself as a maintainer for ros2
  * Merge pull request #124 <https://github.com/ros-drivers/usb_cam/issues/124> from k-okada/add_noetic
    add noetic .travis.yml
  * add noetic .travis.yml
  * Contributors: Evan Flynn, Kei Okada, Lucas Walter, flynneva, wep21

 -- Evan Flynn <evanflynn.msu@gmail.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-rolling-usb-cam (0.3.7-1focal) focal; urgency=high

  * ROS2 version

 -- Evan Flynn <evanflynn.msu@gmail.com>  Mon, 29 Oct 2018 07:00:00 -0000

ros-rolling-usb-cam (0.3.6-1focal) focal; urgency=high

  * .travis.yml: udpate to trusty
  * add AV_ prefix to PIX_FMT_* for X,Y (#71 <https://github.com/ros-drivers/usb_cam/issues/71>)
  * Contributors: Kei Okada

 -- Evan Flynn <evanflynn.msu@gmail.com>  Thu, 15 Jun 2017 07:00:00 -0000

ros-rolling-usb-cam (0.3.5-1focal) focal; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#69 <https://github.com/ros-drivers/usb_cam/issues/69>)
  * support for Kinetic / Ubuntu 16.04 (#58 <https://github.com/ros-drivers/usb_cam/issues/58>)
    * replace use of deprecated functions in newer ffmpeg/libav versionsffmpeg/libav 55.x (used in ROS Kinetic) deprecated the avcodec_alloc_frame.
  * Add grey scale pixel format. (#45 <https://github.com/ros-drivers/usb_cam/issues/45>)
  * add start/stop capture services (#44 <https://github.com/ros-drivers/usb_cam/issues/44> )
    * better management of start/stop
    * up package.xml
    * add capture service
  * fix bug for byte count in a pixel (3 bytes not 24 bytes) (#40 <https://github.com/ros-drivers/usb_cam/issues/40> )
  * Contributors: Daniel Seifert, Eric Zavesky, Kei Okada, Ludovico Russo, Russell Toris, honeytrap15

 -- Evan Flynn <evanflynn.msu@gmail.com>  Wed, 14 Jun 2017 07:00:00 -0000

ros-rolling-usb-cam (0.3.4-1focal) focal; urgency=high

  * Installs launch files
  * Merge pull request #37 from tzutalin/develop
    Add a launch file for easy test
  * Add a launch file for easy test
  * Contributors: Russell Toris, tzu.ta.lin

 -- Evan Flynn <evanflynn.msu@gmail.com>  Tue, 18 Aug 2015 07:00:00 -0000

ros-rolling-usb-cam (0.3.3-1focal) focal; urgency=high

  * Merge pull request #36 from jsarrett/develop
    add gain parameter
  * add gain parameter
  * Contributors: James Sarrett, Russell Toris

 -- Evan Flynn <evanflynn.msu@gmail.com>  Thu, 14 May 2015 07:00:00 -0000

ros-rolling-usb-cam (0.3.2-1focal) focal; urgency=high

  * Merge pull request #34 from eliasm/develop
    fixed check whether calibration file exists
  * fixed check whether calibration file exists
  * Contributors: Elias Mueggler, Russell Toris


