=== debian/control ===
Source: ros-rolling-usb-cam
Section: misc
Priority: optional
Maintainer: Evan Flynn <evanflynn.msu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-rolling-ament-cmake-auto, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-image-transport-plugins, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rosidl-default-generators, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, v4l-utils, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/usb_cam
Standards-Version: 3.9.2

Package: ros-rolling-usb-cam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libavcodec-dev, libavformat-dev, libavutil-dev, libswscale-dev, ros-rolling-builtin-interfaces, ros-rolling-camera-info-manager, ros-rolling-cv-bridge, ros-rolling-image-transport, ros-rolling-image-transport-plugins, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-rosidl-default-runtime, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-std-srvs, v4l-utils, ros-rolling-ros-workspace
Description: A ROS 2 Driver for V4L USB Cameras
